# Form implementation generated from reading ui file 'src/eric7/Templates/TemplateSingleVariableDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_TemplateSingleVariableDialog(object):
    def setupUi(self, TemplateSingleVariableDialog):
        TemplateSingleVariableDialog.setObjectName("TemplateSingleVariableDialog")
        TemplateSingleVariableDialog.resize(403, 218)
        TemplateSingleVariableDialog.setSizeGripEnabled(True)
        self.gridlayout = QtWidgets.QGridLayout(TemplateSingleVariableDialog)
        self.gridlayout.setObjectName("gridlayout")
        self.variableEdit = QtWidgets.QTextEdit(parent=TemplateSingleVariableDialog)
        self.variableEdit.setLineWrapMode(QtWidgets.QTextEdit.LineWrapMode.NoWrap)
        self.variableEdit.setAcceptRichText(False)
        self.variableEdit.setObjectName("variableEdit")
        self.gridlayout.addWidget(self.variableEdit, 0, 1, 1, 1)
        self.variableLabel = QtWidgets.QLabel(parent=TemplateSingleVariableDialog)
        self.variableLabel.setAlignment(QtCore.Qt.AlignmentFlag.AlignTop)
        self.variableLabel.setObjectName("variableLabel")
        self.gridlayout.addWidget(self.variableLabel, 0, 0, 1, 1)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=TemplateSingleVariableDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridlayout.addWidget(self.buttonBox, 1, 0, 1, 2)

        self.retranslateUi(TemplateSingleVariableDialog)
        self.buttonBox.accepted.connect(TemplateSingleVariableDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(TemplateSingleVariableDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(TemplateSingleVariableDialog)

    def retranslateUi(self, TemplateSingleVariableDialog):
        _translate = QtCore.QCoreApplication.translate
        TemplateSingleVariableDialog.setWindowTitle(_translate("TemplateSingleVariableDialog", "Enter Template Variable"))
        self.variableEdit.setToolTip(_translate("TemplateSingleVariableDialog", "Enter the value for the variable."))
        self.variableLabel.setText(_translate("TemplateSingleVariableDialog", "Variable:"))
